Create a new payment
curl --request POST \
--url https://v3.minestorecms.com/api/payments/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"details": {
"fullname": "<string>",
"email": "jsmith@example.com",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"zipcode": "<string>"
},
"termsAndConditions": true,
"privacyPolicy": true,
"paymentMethod": "<string>",
"currency": "<string>"
}
'import requests
url = "https://v3.minestorecms.com/api/payments/create"
payload = {
"details": {
"fullname": "<string>",
"email": "jsmith@example.com",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"zipcode": "<string>"
},
"termsAndConditions": True,
"privacyPolicy": True,
"paymentMethod": "<string>",
"currency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
details: {
fullname: '<string>',
email: 'jsmith@example.com',
address1: '<string>',
address2: '<string>',
city: '<string>',
region: '<string>',
country: '<string>',
zipcode: '<string>'
},
termsAndConditions: true,
privacyPolicy: true,
paymentMethod: '<string>',
currency: '<string>'
})
};
fetch('https://v3.minestorecms.com/api/payments/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"type": "<string>",
"url": "<string>"
}
}Payment Endpoints
Create Payment
Handles the payment creation process, including validation, checking for sales, handling virtual currency, and processing payments through various methods.
POST
/
payments
/
create
Create a new payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

